<?php

require_once("./config/connect.php");
db_connect();

##
## defines the $_GET['folder'] variable
##
function set_GET_folder(){
  if (!isset($_GET['folder']) || $_GET['folder']==""){
    $_GET['folder']=0;
  }
  else {
    $_GET['folder']=htmlentities($_GET['folder'],ENT_QUOTES);
  }
  return trim ($_GET['folder']);
}

##
## defines the $_GET['bmlist'] variable
##
function set_GET_bmlist(){
  if (!isset ($_GET['bmlist']) || $_GET['bmlist']==""){
    return "";
  }
  else {
    $_GET['bmlist']=htmlentities($_GET['bmlist'],ENT_QUOTES);
  }
  return trim ($_GET['bmlist']);
}

##
## defines the $_GET['title'] variable
##
function set_GET_title(){
  if (!isset ($_GET['title']) || $_GET['title']==""){
    $_GET['title']="";
  }
  else {
    $_GET['title']=htmlentities($_GET['title'],ENT_QUOTES);
  }
  return trim ($_GET['title']);
}

##
## defines the $_GET['url'] variable
##
function set_GET_url(){
  if (!isset ($_GET['url']) || $_GET['url']==""){
    $_GET['url']="";
  }
  else {
    $_GET['url']=htmlentities($_GET['url'],ENT_QUOTES);
  }
  return trim ($_GET['url']);
}

##
## checks and purges the JavaScript given 1_2_3 list (there
## must be only digits) and returns an array with these digits
##
function set_bmlist($bmlist){
  $expand = array_unique(explode("_",$bmlist));
  foreach ($expand as $key => $value) {
    if ($value=="" || !is_numeric($value)) {
      unset($expand[$key]);
    }
  }
  return implode (", ",$expand);
}

##
## defines the $_POST['title'] variable
##
function set_POST_title(){
  if (!isset($_POST['title']) || $_POST['title']==""){
    $_POST['title']='';
  }
  else {
    $_POST['title']=htmlentities($_POST['title'],ENT_QUOTES);
  }
  return trim ($_POST['title']);
}

##
## defines the $_POST['url'] variable
##
function set_POST_url(){
  if (!isset($_POST['url']) || $_POST['url']==""){
    $_POST['url']='';
  }
  else {
    $_POST['url']=htmlentities($_POST['url'],ENT_QUOTES);
  }
  return trim ($_POST['url']);
}

##
## defines the $_POST['description'] variable
##
function set_POST_description(){
  if (!isset($_POST['description']) || $_POST['description']==""){
    $_POST['description']='';
  }
  else {
    $_POST['description']=htmlentities($_POST['description'],ENT_QUOTES,$charset);
  }
  return trim ($_POST['description']);
}

##
## defines the $_POST['bookmarks'] variable
##
function set_POST_bookmarks(){
  if (!isset ($_POST['bookmarks']) || $_POST['bookmarks']==""){
    $_POST['bookmarks']="";
  }
  else {
    $_POST['bookmarks']=htmlentities($_POST['bookmarks'],ENT_QUOTES);
  }
  return trim ($_POST['bookmarks']);
}

##
## defines the $_POST['name'] variable
##
function set_POST_name(){
  if (!isset ($_POST['name']) || $_POST['name']==""){
    $_POST['name']="";
  }
  else {
    $_POST['name']=htmlentities($_POST['name'],ENT_QUOTES);
  }
  return trim ($_POST['name']);
}

##
## defines the $_POST['sourcefolder'] variable
##
function set_POST_sourcefolder(){
  if (!isset ($_POST['sourcefolder']) || $_POST['sourcefolder']==""){
    $_POST['sourcefolder']="";
  }
  else {
    $_POST['sourcefolder']=htmlentities($_POST['sourcefolder'],ENT_QUOTES);
  }
  return trim ($_POST['sourcefolder']);
}

##
## defines the $_POST['search'] variable
##
function set_POST_search(){
  if (!isset ($_POST['search']) || $_POST['search']==""){
    $_POST['search']="";
  }
  else {
    $_POST['search']=htmlentities($_POST['search'],ENT_QUOTES);
  }
  return trim ($_POST['search']);
}

##
## defines the $_POST['destination'] variable
##
function set_POST_destination(){
  if (!isset ($_POST['destination']) || $_POST['destination']==""){
    $_POST['destination']="";
  }
  else {
    $_POST['destination']=htmlentities($_POST['destination'],ENT_QUOTES);
  }
  return trim ($_POST['destination']);
}

##
## queries the mysql database and returns the values of
## all bookmarks of the logged in user
##
function query_bookmarks($folder){
  $user=$_SERVER['PHP_AUTH_USER'];
  $bookmarks=mysql_query("SELECT *, DATE_FORMAT(date,'%d.%m.%Y') AS timestamp FROM bookmark
                          WHERE childof='$folder'
                          AND user='$user'
                          AND deleted!='1'
                          ORDER by title;")
                          or die ($msg_sql_error);
  return $bookmarks;
}

?>
