CREATE TABLE bookmark (
  user CHAR(20) NOT NULL default '',
  title CHAR(70) NOT NULL default '',
  url CHAR(200) NOT NULL default '',
  description CHAR(200) default NULL,
  date TIMESTAMP(14) NOT NULL,
  childof INT(11) NOT NULL default '0',
  id INT(11) NOT NULL auto_increment,
  deleted ENUM('0','1') NOT NULL default '0',
  FULLTEXT (title,url,description),
  PRIMARY KEY  (id)
) TYPE=MyISAM;

CREATE TABLE folder (
  id INT(11) NOT NULL auto_increment,
  childof INT(11) NOT NULL default '0',
  name CHAR(70) NOT NULL default '',
  user CHAR(20) NOT NULL default '',
  deleted ENUM('0','1') NOT NULL default '0',
  UNIQUE KEY id (id)
) TYPE=MyISAM;

