<?php

## The language in which online-bookmarks is shown
## select "english", "deutsch", "spanish", "chinese" or "francais"
$language="english";

# leave this untouched!
require("./messages/$language/msg.php");

## Some people asked me to make online-bookmark available without
## login. If you are using this feature you must know two tings:
## 1. This is a multiuser system. After setting the variable below
##    to something other then "" it is NOT anymore. Just ONE
##    user will be able use it!
## 2. If somebody finds the path to your bookmarks, he/she will be
##    able to change and even delete them.
$auth_user="";

## Set this value tu TRUE to get a delete confirmation
## or to FALSE to delete bookmarks and folders without confirmation.
$confirm=TRUE;

## Open a new window or not when clicking on bookmarks?
## TRUE to open a new window, FALSE to open the link in the existing one.
$open_new_window=TRUE;

## All symbols below could actually be something else than a gif.
## It is also possible to replace these values by some ascii stuff.
## The symbol for the closed folder
$folder_closed='<img src="./images/folder.gif" border="0" alt="" align="middle">';

## The symbol for the opened folder
$folder_open='<img src="./images/folder_open.gif" border="0" alt="" align="middle">';

## The symbol for a bookmark
$bookmark_image='<img src="./images/bookmark_image.gif" align="middle" border="0" alt="">';

## The symbol for the plus sign of a collapsed folder tree
$plus='<img src="./images/plus.gif" align="middle" border="0" alt="">&nbsp;';
#$plus='<span class="symbol">+&nbsp;</span>';

## The symbol for the minus sign of a expanded folder tree
$minus='<img src="./images/minus.gif" align="middle" border="0" alt="">&nbsp;';
#$minus='<span class="symbol">-&nbsp;</span>';

## Set "neutral" to something similar as "plus" and "minus", so it fits the tree width
$neutral='<img src="./images/spacer.gif" border="0" alt="" width="13" height="1">&nbsp;';
#$neutral='<span class="symbol">&nbsp;&nbsp;</span>';

## The symbol to edit a bookmark
#$edit_image='<img src="./images/edit.gif" align="middle" border="0" alt="' . $msg_edit . '">';
$edit_image='e';

## The symbol to move a bookmark
#$move_image='<img src="./images/move.gif" align="middle" border="0" alt="' . $msg_move . '">';
$move_image='m';

## The symbol to delete a bookmark
#$delete_image='<img src="./images/delete.gif" align="middle" border="0" alt="' . $msg_delete . '">';
$delete_image='d';

## The delimiter that should be used when displaying a path
#$delimiter=" >> ";
$delimiter="/";

## The width in pixels of the folder column
$column_width_folder="280";

## The width in pixels of the bookmark column
$column_width_bookmark="350";

## The min height in pixels of the main table
$table_hight="220";

## Which columns will be shown:
## valid options: TRUE FALSE
## The column of the change date:
$show_column_date=TRUE;

## The column to edit a bookmark:
$show_column_edit=FALSE;

## The column to move a bookmark:
$show_column_move=FALSE;

## The column to delete a bookmark:
$show_column_delete=FALSE;

?>
