<?php
db_connect();
$user=$_SERVER['PHP_AUTH_USER'];
$result = mysql_query("SELECT * FROM folder
                       WHERE user='$user'
                       AND deleted!='1'
                       ORDER BY 'name';")
                       or die ($msg_sql_error);

# define the variables:
$folders=array();
while ($row = mysql_fetch_object($result)){
  $tmp=array('id'=>$row->id, 'childof'=>$row->childof, 'name'=>$row->name);
  array_push($folders, $tmp);
}
$children=array();
for($i=0; $i<sizeof($folders); $i++){
  array_push($children, $folders[$i]['childof']);
}
$expand=purge_expand();
$counter=0;

# the tree function
function tree($folder_to_print){
  global $folders, $children, $expand, $counter;
  $folder=set_GET_folder();
  $counter++;

  # if the root folder is called, draw it once.
  if($folder_to_print==0){
    if($folder==0){
      $active=TRUE;
    }
    else{
      $active=FALSE;
    }
    print_url("", 0, $expand, $expand, 0, "root", $active);
  }

  # run through the $folders array to search for the
  # given folder and print its content
  for($i=0; $i<sizeof($folders); $i++){
    # if the folder is found ...
    if($folders[$i]['childof']==$folder_to_print){
      # ... first check if it is active or not
      $folders[$i]['id']==$_GET['folder'] ? $active=TRUE : $active=FALSE;
      # only a folder that has children, can be expanded.
      # so, check if the folder has children.
      if(in_array($folders[$i]['id'], $children)){
       # if it has children, check if it is in the expand list
        if(in_array($folders[$i]['id'], $expand)){
          # if it is in the expand list, print the folder collapsable and
          # run this function again to print all its children
          $new_expand=remove_from_expand_list($expand, $folders[$i]['id']);
          print_url("minus", $counter, $new_expand, $expand, $folders[$i]['id'], $folders[$i]['name'], $active);
          tree($folders[$i]['id']);
        }
        else{
          # if it is not in the expand list, just print it expandable
          $new_expand=$expand;
          array_push($new_expand, $folders[$i]['id']);
          print_url("plus", $counter, $new_expand, $expand, $folders[$i]['id'], $folders[$i]['name'], $active);
        }
      }
      # if the folder has no children, print its name
      else{
        print_url("", $counter, $expand, $expand, $folders[$i]['id'], $folders[$i]['name'], $active);
      }
    }
  }
  $counter--;
}


function print_url($action, $counter, $new_expand, $current_expand, $folder_id, $folder_name, $active){
  require("./config/config.php");
  $spacer='<div style="margin-left:' . $counter * 20 . 'px;">'; # use this, if you have very deep trees
  ## $spacer='<img src="./images/spacer.gif" alt="" height="1" width="' . $counter * 20 . '">';

  # if the folder is marked as active, print its name different from the others
  # and give it another icon
  if($active){
    $folder_name='<span class="active">' . $folder_name . '</span></a>';
    $folder_image=$folder_open;
  }
  else{
    $folder_image=$folder_closed;
  }

  # the beginning of the line
  echo $spacer;

  # if there is a plus or minus symbol, print it with a special link
  if($action=="minus" || $action=="plus"){
    # let's define the symbol
    switch($action){
    case 'minus':
      $symbol=$minus;
      break;
    case 'plus':
      $symbol=$plus;
      break;
    }
    # this prints the symbol (plus or minus) with its appropriate link
    echo '<a href="' . $_SERVER['SCRIPT_NAME'] . '?expand=' . implode(",", $new_expand) . '&amp;folder=';
    echo $_GET['folder'] . '">' . $symbol . '</a>';
  }
  # if there is no plus or minus, just print a placeholder
  else{
    $symbol=$neutral;
    echo $symbol;
  }

  # this prints the folder name with its appropriate link
  echo '<a href="' . $_SERVER['SCRIPT_NAME'] . '?expand=' . implode(",", $current_expand) . '&amp;folder=';
  echo $folder_id . '">' . $folder_image . " " . $folder_name . '</a>';

  # the end of the line
  echo "</div>\n";
  ##echo "<br>\n";
}

##
## purges and defines the $_GET['expand'] variable
##
function purge_expand(){
  if (!isset ($_GET['expand']) || $_GET['expand']==""){
    return array();
  }
  else {
    $expand=array_unique(explode(",",$_GET['expand']));
    foreach($expand as $key => $value) {
      if ($value=="" || !is_numeric($value)) {
        unset($expand[$key]);
      }
    }
    return $expand;
  }
}

##
## removes $id from the $expand list
##
function remove_from_expand_list($expand, $id){
  foreach ($expand as $key => $value) {
    if ($value==$id) {
      unset($expand[$key]);
    }
  }
  return $expand;
}

##
## gets all parents of a folder
## returns an array containing optionally
## all 'id', all 'childof', all 'name' or
## the whole array of the parents
##
function parents($id ,$type='all'){
  global $folders;
  $parents=array();

  do{
    $control=$id;
    for ($i=0; $i<count($folders); $i++){
      if ($folders[$i]['id']==$id){
        if($type=='id'){
          array_push($parents, $folders[$i]['childof']);
        }
        else if($type=='childof'){
          array_push($parents, $folders[$i]['id']);
        }
        else if($type=='name'){
          array_push($parents, $folders[$i]['name']);
        }
        else{
          array_push($parents, $folders[$i]);
        }
        $id=$folders[$i]['childof'];
      }
    }
## to doooooooooo XXXX
# bitte austesten bis zum gehtnichtmehr!
    if ($control>0 && $control==$id){
      die ("possible inconsistency in folder database at folder #$id");
    }
  } while ($id>0);
  return $parents;
}

##
## gets all children of a folder
##
function children($id){
  global $folders;
  static $children=array();

  for ($i=0; $i<count($folders); $i++){
    if ($folders[$i]['childof']==$id){
      array_push($children, $folders[$i]['id']);
      children($folders[$i]['id']);
    }
  }
  return $children;
}

##
## prints the path from a given folder to the root folder
##
function print_path($folder){
  global $folders;
  $parents=parents($folder, 'name');
  $parents=array_reverse($parents);
  require("./config/config.php");
  echo $delimiter . implode($delimiter, $parents);
}

?>
